Name: gatos
Summary: ATI TV Tuner/Drivers
Version: 0.0.6
Release: 0.20000303mdk
Source: http://cvs.core.binghamton.edu/~insomnia/gatos/cvs/gatos-CVS-20000303.tar.bz2
Patch: gatos-0702cvs-conf.patch.bz2
Group: System/Kernel and hardware
URL: http://cvs.core.binghamton.edu/~insomnia/gatos/
BuildRoot: /var/tmp/%{name}-buildroot
BuildPrereq: ibtk
Copyright: GPL
Prefix: /usr

%description
GATOS (General ATI TV and Overlay Software): ATI-TV for GNU/Linux.
See http://cvs.core.binghamton.edu/~insomnia/gatos/ for
Full information.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gatos
#%patch -p1 -b .old
perl -p -i -e 's/\$\(libdir\)\/gatos.conf/\$\(sysconfdir\)\/gatos.conf/g' src/Makefile.am src/Makefile.in

%build
%ifarch alpha
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
        ./configure --with-ncurses --with-x --with-dga-vmode \
        --with-ipc --prefix=%{prefix} --enable-nls \
        --with-catgets --with-included-gettext --sysconfdir=/etc
%else
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --with-ncurses --with-x --with-dga-vmode \
	--with-shm --with-ipc --prefix=%{prefix} --enable-nls \
	--with-catgets --with-included-gettext --sysconfdir=/etc

%endif

if [ x"$SMP" != x"" ]; then
(make MAKE="make -j $SMP -k" CC="gcc $RPM_OPT_FLAGS" CXX="g++ $RPM_OPT_FLAGS"; exit 0)
	make
else
make CC="gcc $RPM_OPT_FLAGS" CXX="g++ $RPM_OPT_FLAGS" 
fi

%install
make install DESTDIR=$RPM_BUILD_ROOT
#manual like
#export INSTALLDIR=$RPM_BUILD_ROOT%{prefix}/bin
#        install -d $INSTALLDIR
#        install -s -m 04755 xatitv $INSTALLDIR
#        install -s -m 04755 atitv $INSTALLDIR
#        install -s yuvsum $INSTALLDIR
#        install -s atitojpg $INSTALLDIR
#        install -s atitogif $INSTALLDIR
#        install -s atitoppm $INSTALLDIR
#        install -s atisplit $INSTALLDIR
#unset INSTALLDIR

install -d $RPM_BUILD_ROOT/etc
install docs/gatos.conf.sample $RPM_BUILD_ROOT/etc/gatos.conf
#install -d $RPM_BUILD_ROOT/usr/doc/gatos-%{version}
#install CREDITS $RPM_BUILD_ROOT/usr/doc/gatos-%{version}
#install Changelog $RPM_BUILD_ROOT/usr/doc/gatos-%{version}
#install LICENSE $RPM_BUILD_ROOT/usr/doc/gatos-%{version}
#install README $RPM_BUILD_ROOT/usr/doc/gatos-%{version}
#install BUGS $RPM_BUILD_ROOT/usr/doc/gatos-%{version}
#install PATCHES $RPM_BUILD_ROOT/usr/doc/gatos-%{version}
#install README.atisplit $RPM_BUILD_ROOT/usr/doc/gatos-%{version}
#install XF86Config.sample $RPM_BUILD_ROOT/usr/doc/gatos-%{version}


if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

cd $RPM_BUILD_ROOT
echo "%defattr(-,root,root,755)" > $RPM_BUILD_DIR/file.list.%{name}
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Mon Apr 03 2000 John Buswell <johnb@mandrakesoft.com> 0.0.6-0.20000303mdk
- 0.0.6
- New cvs snap

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.0.5-0.20000209mdk
- fixed groups

* Wed Feb 09 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 0.0.5-0.20000208mdk
- New cvs snap

* Tue Dec 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- New cvs snap shot
	- Closed captioning doesn't seem to work anymore
	- Adds shared mem functions, IPC calls

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Re-add .conf patch

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMp build/check
- Update to latest CVS
- disable patch1 for this build (it seems)

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Builds as non-root now
- Update Source URL
- BuildPrereq: ibtk = version
- Latest cvs snapshot :
        * Added fixed-aspect-ratio support to cropping/panning/zooming.

* Mon Aug 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Latest cvs snapshot :
        * Beginning standard channel frequency support.
        * Fixed "double verticle size with only have visible" BUG.
        * Made "always on top" wars less intense.
        * Added cropping/zooming support.  Should do something about it in DGA
          mode in xatitv.

* Sat Jul  3 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.0.4

* Fri Jul  2 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Ok that snapshot sucked rocks lets try 0626
- added gatos.conf (whoops)

* Fri Jul  2 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- test (more or less) generic spec file....
- initial itk rpm

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
